# TODO:
# - backport man-pages from pine.spec
# - separate package with tcl web-frontend
# - fix as-needed
# - pico shouldn't link with kerberos, should it?
# - switch to http://re-alpine.sourceforge.net/ - RIP alpine
%define		ver		2.00
%define		patchlevel	84
Summary:	University of Washington Alpine mail user agent
Summary(pl.UTF-8):	Klient pocztowy Alpine z Uniwersytetu w Waszyngtonie
Name:		alpine
Version:	%{ver}.%{patchlevel}
Release:	10
Epoch:		1
License:	Apache v2.0
Group:		Applications/Mail
# Main site:
#Source0:	ftp://ftp.cac.washington.edu/alpine/%{name}-%{version}.tar.gz
# Source with applied patches from http://staff.washington.edu/chappa/alpine/
Source0:	http://staff.washington.edu/chappa/alpine/patches/alpine-%{ver}/%{name}-%{ver}_%{patchlevel}.tar.gz
# Source0-md5:	70ba4281354f1ba2d341038ec0e323c7
Source1:	pico.desktop
Source2:	%{name}.desktop
Source3:	%{name}.png
Patch0:		%{name}-index_display.patch
Patch1:		%{name}-doc.patch
Patch2:		%{name}-filter.patch
Patch3:		%{name}-fhs.patch
Patch4:		%{name}-libc-client.patch
Patch5:		%{name}-ssl.patch
Patch6:		%{name}-no_1777_warning.patch
Patch7:		%{name}-home_etc.patch
Patch8:		%{name}-RFC1522_MAXW.patch
Patch9:		mimedesc.patch
Patch10:	re-alpine-2.01.smime-signandencrypt.patch
Patch11:	format-security.patch
URL:		http://www.washington.edu/alpine/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	home-etc-devel
%if "%{pld_release}" != "ac"
BuildRequires:	heimdal-devel
%endif
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRequires:	openldap-devel
BuildRequires:	openssl-devel
BuildRequires:	pam-devel
# Only for web-frontend:
#BuildRequires:	tcl-devel
Suggests:	aspell
Suggests:	ca-certificates
Conflicts:	ca-certificates < 20080809-4
Provides:	pine = 6.00
Obsoletes:	pine
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		alpineconfdir	%{_sysconfdir}/%{name}
%define		filterout_ld	-Wl,--as-needed

%description
Alpine -- an Alternatively Licensed Program for Internet News & Email
-- is a tool for reading, sending, and managing electronic messages.
Alpine is the successor to Pine and was developed by Computing &
Communications at the University of Washington. Though originally
designed for inexperienced email users, Alpine supports many advanced
features, and an ever-growing number of configuration and
personal-preference options.

%description -l pl.UTF-8
Alpine, czyli Alternatively Licensed Program for Internet News & Email
(alternatywnie licencjonowany program do newsów i poczty internetowej)
to narzędzie do czytania, wysyłania i zarządzania wiadomościami
elektronicznymi. Alpine jest następcą Pine'a i został napisany przez
wydział Computing & Communications (Obliczeń i komunikacji) na
Uniwersytecie w Waszyngtonie. Mimo że Alpine pierwotnie został
zaprojektowany dla niedoświadczonych użytkowników poczty, obsługuje
wiele zaawansowanych możliwości, a liczba opcji konfiguracyjnych
ciągle rośnie.

%package -n pico
Summary:	Simple text editor in the style of the Pine Composer
Summary(pl.UTF-8):	Prosty edytor tekstowy w stylu alpine
Summary(pt_BR.UTF-8):	Editor de textos para terminal simples e fácil de usar
Group:		Applications/Editors
Provides:	pico = 6.00

%description -n pico
Pico is a simple, display-oriented text editor based on the Alpine
message system composer. As with Pine, commands are displayed at the
bottom of the screen, and context-sensitive help is provided. As
characters are typed they are immediately inserted into the text.

%description -n pico -l pl.UTF-8
Pico jest prostym, zorientowanym na wyświetlanie edytorem bazującym na
alpine. Tak jak w pine komendy są wyświetlane na dole ekranu oraz
dostępna jest pomoc kontekstowa. Wpisywane znaki są natychmiast
włączane do tekstu.

%description -n pico -l pt_BR.UTF-8
Pico é um editor de texto baseado no compositor de mensagens do Alpine.
Assim como no Pine, comandos são mostrados na parte de baixo da tela,
e ajuda de acordo com o contexto está disponível.

%package -n pilot
Summary:	Simple file system browser in the style of the Alpine Composer
Summary(pl.UTF-8):	Prosta przeglądarka plików w stylu composera alpine
Summary(pt_BR.UTF-8):	Navegador de sistemas de arquivos no estilo do compositor do Alpine
Group:		Applications/Shells
Provides:	pilot = 6.00

%description -n pilot
Pilot is a simple, display-oriented file system browser based on the
Alpine message system composer. As with Alpine, commands are displayed
at the bottom of the screen, and context-sensitive help is provided.

%description -n pilot -l pl.UTF-8
Pilot jest prostą, zorientowaną na wyświetlanie przeglądarką plików w
stylu composera pine. Podobnie jak w alpine polecenia są wyświetlane
na dole ekranu oraz jest dostępna pomoc kontekstowa.

%description -n pilot -l pt_BR.UTF-8
Pilot é um navegador de sistemas de arquivos baseado no Pine. Assim
como no Pine, comandos são apresentados na parte de baixo da tela, e
ajuda de acordo com o contexto está disponível.

%prep
%setup -q -n %{name}-%{ver}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1

%build
rm -f libtool missing
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--%{?debug:en}%{!?debug:dis}able-debug \
	--enable-quotas \
	--without-tcl \
	--with-smtp-msa=/usr/lib/sendmail \
	--with-simple-spellcheck=aspell \
	--with-system-pinerc=%{_sysconfdir}/%{name}/%{name}.conf \
	--with-system-fixed-pinerc=%{_sysconfdir}/%{name}/%{name}.conf.fixed \
	--with-krb5-dir=%{_prefix} \
	--with-ldap-dir=%{_prefix} \
	--with-system-mail-directory=/var/mail \
	--with-c-client-target=slx \
%if "%{pld_release}" == "ti"
	--with-ssl-dir=/var/lib/openssl/certs \
	--with-ssl-certs-dir=/var/lib/openssl/certs \
%else
	--with-ssl-dir=/etc/openssl/certs \
	--with-ssl-certs-dir=/etc/certs \
	--with-ssl-lib-dir=%{_libdir} \
%endif
	--with-passfile=.pine.pwd

%{__make} \
	GCCOPTLEVEL="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/%{name},%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}

ln -s alpine $RPM_BUILD_ROOT%{_bindir}/pine

$RPM_BUILD_ROOT%{_bindir}/alpine -conf > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/alpine.conf
cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/alpine.conf.fixed
#
# Alpine system-wide enforced configuration file - customize as needed
#
# This file holds the system-wide enforced values for alpine configuration
# settings. Any values set in it will override values set in the
# system-wide default configuration file (%{_sysconfdir}/%{name}/alpine.conf) and
# the user's own configuration file (~/.pinerc).
# For more information on the format of this file, read the
# comments at the top of %{_sysconfdir}/%{name}/alpine.conf

EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README doc/tech-notes.txt
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/alpine.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/alpine.conf.fixed
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/pine
%attr(755,root,root) %{_bindir}/rpload
%attr(755,root,root) %{_bindir}/rpdump
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/rpload.1*
%{_mandir}/man1/rpdump.1*
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png

%files -n pico
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pico
%{_desktopdir}/pico.desktop
%{_mandir}/man1/pico*

%files -n pilot
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pilot
%{_mandir}/man1/pilot*
%changelog
* Thu May 09 2013 Marcin Krol <hawk@tld-linux.org> e0bc954
- release 10 (by relup.sh)

* Fri Dec 07 2012 Jan Rękorajski <baggins@pld-linux.org> c5d1e33
- fix errors introduced by -Werror-security
- rel 9

* Thu Dec 06 2012 Jan Rękorajski <baggins@pld-linux.org> b3de8f2
- release 8 (by relup.sh)

* Mon Sep 03 2012 Paweł Gołaszewski <blues@pld-linux.org> 71e303d
release 7

* Mon Sep 03 2012 Paweł Gołaszewski <blues@pld-linux.org> cf89ef8
S/MIME broken reading signed-then-encrypted messages - ID: 3201704

* Mon Sep 03 2012 Paweł Gołaszewski <blues@pld-linux.org> ad0f9cf
mimedesc patch from re-alpine (Bug 3170864 fix - ID: 3170869)

* Mon Sep 03 2012 Paweł Gołaszewski <blues@pld-linux.org> 85b6f05
- rel.6

* Mon Sep 03 2012 Paweł Gołaszewski <blues@pld-linux.org> 4e410cf
Unify RFC1522_MAXW usage (alpine-RFC1522_MAXW patch)

* Mon Sep 03 2012 Paweł Gołaszewski <blues@pld-linux.org> de10071
- point new project

* Fri Feb 17 2012 lisu <lisu@pld-linux.org> 9456dd1
- rel 5

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7e0d6bf
- release 4

* Wed Aug 03 2011 Jan Rękorajski <baggins@pld-linux.org> cb850a6
- rel 3

* Wed Aug 03 2011 Jan Rękorajski <baggins@pld-linux.org> 7d5d0f0
- release 2

* Fri Mar 25 2011 Paweł Gołaszewski <blues@pld-linux.org> d5d336d
- patchlevel 84 - more bugfixes

* Mon Nov 08 2010 shadzik <shadzik@pld-linux.org> 673bcca
- rel 2

* Mon Oct 25 2010 Paweł Gołaszewski <blues@pld-linux.org> ff6b272
- patchlevel 78 - don't alocate memory twice in composer (memleak)

* Wed Oct 20 2010 Paweł Gołaszewski <blues@pld-linux.org> 9abd687
- patchlevel 77 - fix bug in threading algorithm and fix crash when the
  screen is resized

* Fri Aug 06 2010 Paweł Gołaszewski <blues@pld-linux.org> 78143d5
- patchlevel 72 - Do not reopen a folder that is meant to be closed

* Mon Aug 02 2010 Paweł Gołaszewski <blues@pld-linux.org> b0cb172
- patchlevel 71 - Parse environment variables correctly

* Thu Jul 22 2010 Paweł Gołaszewski <blues@pld-linux.org> 74afb20
- patchlevel 69 - Fix the type of a .docx document

